@import "../../styles/variables";

.App {
  &-graph-area {
    flex: 1;
    display: flex;
    position: relative;
    //align-items: center;
    //justify-content: center;
    border: $svg-canvas-border-1;
    border-radius: 2px;
    //overflow: auto;
    overflow-y: auto;
    //required for slidepanel
    overflow-x: hidden;
    margin-bottom: 0.5rem;
  }

  .EmptyPlaceholder.no-nodes {
    position: absolute;
    width: 100%;
    margin-top: 4rem;
    border: none;
    pointer-events: none;
    cursor: default;
  }
}

#d3-force-graph {
  flex: 1;
  display: flex;
  justify-content: center;
  align-items: center;
}

.cg-node-item {
  stroke-width: 4px;
}

.cg-node-item.invalid-link {
  // opacity: 0.25;
  cursor: not-allowed;
  .cg-node-circle {
    fill: #fff;
  }
  text {
    stroke: #fff;
  }
}

.cg-node-item.valid-link {
  cursor: cell;
  .cg-node-text {
    pointer-events: none;
  }
}

.cg-node-item.valid-link.selected {
  circle {
    stroke: $selected-node-stroke;
    stroke-dasharray: $selected-node-stroke-dasharray;
    stroke-width: $selected-node-stroke-width;
  }
}

.cg-node-text {
  font-weight: 700;
  letter-spacing: 1px;
}

.cg-node-link {
  opacity: 1;
}

.cg-node-link.selected {
  cursor: crosshair;
  opacity: 0.7;
}

.cg-node-item.source-node {
  circle {
    stroke: $selected-node-stroke;
    stroke-dasharray: $selected-node-stroke-dasharray;
    stroke-width: $selected-node-stroke-width;
  }
  cursor: not-allowed;
}

.selected-node {
  circle {
    stroke: $selected-node-stroke;
    stroke-dasharray: $selected-node-stroke-dasharray;
    stroke-width: $selected-node-stroke-width;
  }
}

.pinned-node {
  circle {
    stroke: #393939;
    stroke-dasharray: 8 4;
    stroke-width: 4;
  }
}

.svg-menu-type-icon {
  width: 1.5rem;
  height: 1.5rem;
  border: 1px solid lighten($grey-color, 10%);
  border-radius: 50%;
}

svg text {
  -webkit-tap-highlight-color: rgba(255, 255, 255, 0);
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.legend {
  &-item {
    display: flex;
    padding: 0.5rem 0rem;
    align-items: center;
    justify-content: stretch;
  }

  &-count {
    flex: 1;
    text-align: right;
  }
}

.legend-item:last-child {
  margin-bottom: 2rem;
}
